<?php

use Illuminate\Database\Seeder;

class SpecialityDescriptionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $specialities = factory(\App\Speciality::class, 3)->create();

        foreach ($specialities as $speciality) {
            foreach (languages() as $language) {
                factory(\App\SpecialityDescription::class)->create([
                    'speciality_id' => $speciality->id,
                    'language_id' => $language->id,
                ]);
            }
        }
    }
}
